singleton Material(coupe)
{
    mapTo = "coupe";
    diffuseMap[2] = "vehicles/coupe/coupe_c.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper)
{
   mapTo = "hopper";
    diffuseMap[2] = "vehicles/hopper/hopper_c.dds";
    specularMap[2] = "vehicles/hopper/hopper_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_glass)
{
    mapTo = "hopper_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_glass_d.dds";
    opacityMap[0] = "vehicles/hopper/hopper_glass_d.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_glass_dmg)
{
    mapTo = "hopper_glass_dmg";
    diffuseMap[0] = "vehicles/hopper/hopper_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/hopper/hopper_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_lights)
{
    mapTo = "hopper_lights";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_lights_dmg)
{
    mapTo = "hopper_lights_dmg";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_dmg_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_dmg_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_lights_on)
{
    mapTo = "hopper_lights_on";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.2";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_lights_on_intense)
{
    mapTo = "hopper_lights_on_intense";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_lettering)
{
    mapTo = "hopper_lettering";
    specularMap[0] = "vehicles/hopper/hopper_lettering_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_lettering_n.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_lettering_d.dds";
    reflectivityMap[0] = "vehicles/hopper/hopper_lettering_r.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material("pigeon.skin.pigeon_glow")
{
    mapTo = "pigeon.skin.pigeon_glow";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
	    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.pigeon_glow")
{
    mapTo = "pigeon_box.skin.pigeon_glow";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
	    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_unbranded.skin.pigeon_glow")
{
    mapTo = "pigeon_unbranded.skin.pigeon_glow";
    diffuseMap[2] = "vehicles/pigeon/bed_parts/pigeon_c_unbranded.dds";
    specularMap[2] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[2] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[1] = "vehicles/pigeon/bed_parts/pigeon_d_unbranded.dds";
    specularMap[1] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[1] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
	    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_unbranded.skin.flames")
{
    mapTo = "pigeon_unbranded.skin.flames";
    overlayMap[2] = "vehicles/pigeon/pigeon_skin_flames.dds";
    diffuseMap[2] = "vehicles/pigeon/bed_parts/pigeon_c_unbranded.dds";
    specularMap[2] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[2] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[1] = "vehicles/pigeon/bed_parts/pigeon_d_unbranded.dds";
    specularMap[1] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[1] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon.skin.pigeon_camo")
{
    mapTo = "pigeon.skin.pigeon_camo";
    colorPaletteMap[2] = "vehicles/pigeon/body/pigeon_skin_camo_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/pigeon_skin_camo.png";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.pigeon_camo")
{
    mapTo = "pigeon_box.skin.pigeon_camo";
    colorPaletteMap[2] = "vehicles/pigeon/body/pigeon_skin_camo_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/pigeon_skin_camo.png";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_unbranded.skin.pigeon_camo")
{
    mapTo = "pigeon_unbranded.skin.pigeon_camo";
    colorPaletteMap[2] = "vehicles/pigeon/body/pigeon_skin_camo_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/pigeon_skin_camo.png";
    diffuseMap[2] = "vehicles/pigeon/bed_parts/pigeon_c_unbranded.dds";
    specularMap[2] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[2] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[1] = "vehicles/pigeon/bed_parts/pigeon_d_unbranded.dds";
    specularMap[1] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[1] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon.skin.delivery_livery")
{
    mapTo = "pigeon.skin.delivery_livery";
    colorPaletteMap[2] = "vehicles/pigeon/body/delivery_livery_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/delivery_livery.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.delivery_livery")
{
    mapTo = "pigeon_box.skin.delivery_livery";
    colorPaletteMap[2] = "vehicles/pigeon/body/delivery_livery_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/delivery_livery.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_unbranded.skin.delivery_livery")
{
    mapTo = "pigeon_unbranded.skin.delivery_livery";
    colorPaletteMap[2] = "vehicles/pigeon/body/delivery_livery_uv1.dds";
    overlayMap[2] = "vehicles/pigeon/body/delivery_livery.dds";
    diffuseMap[2] = "vehicles/pigeon/bed_parts/pigeon_c_unbranded.dds";
    specularMap[2] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[2] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[1] = "vehicles/pigeon/bed_parts/pigeon_d_unbranded.dds";
    specularMap[1] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[1] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon.skin.beambeer")
{
    mapTo = "pigeon.skin.beambeer";
    overlayMap[2] = "vehicles/pigeon/body/beambeer.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.beambeer")
{
    mapTo = "pigeon_box.skin.beambeer";
    overlayMap[2] = "vehicles/pigeon/body/beambeer.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_unbranded.skin.beambeer")
{
    mapTo = "pigeon_unbranded.skin.beambeer";
    overlayMap[2] = "vehicles/pigeon/body/beambeer.dds";
    diffuseMap[2] = "vehicles/pigeon/bed_parts/pigeon_c_unbranded.dds";
    specularMap[2] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[2] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[1] = "vehicles/pigeon/bed_parts/pigeon_d_unbranded.dds";
    specularMap[1] = "vehicles/pigeon/bed_parts/pigeon_s_unbranded.dds";
    normalMap[1] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/bed_parts/pigeon_n_unbranded.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_interior.skin.beambeer")
{
    mapTo = "pigeon_interior.skin.beambeer";
    diffuseMap[0] = "pigeon_interior_d_beer.dds";
    specularMap[0] = "vehicles/pigeon/pigeon_interior_s.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_interior_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(hopper_signal_R)
{
    mapTo = "hopper_signal_R";
};

singleton Material(hopper_signal_L)
{
    mapTo = "hopper_signal_L";
};

singleton Material(hopper_headlight)
{
    mapTo = "hopper_headlight";
};