singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};

singleton Material(semi_taillight_L)
{
    mapTo = "semi_taillight_L";
};

singleton Material(semi_taillight_R)
{
    mapTo = "semi_taillight_R";
};

singleton Material(semi_lights)
{
    mapTo = "semi_lights";
    diffuseMap[1] = "vehicles/common/semi_lights_d.dds";
    specularMap[1] = "vehicles/common/semi_lights_s.dds";
    normalMap[1] = "vehicles/common/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on)
{
    mapTo = "semi_lights_on";
    diffuseMap[2] = "vehicles/common/semi_lights_g.dds";
    specularMap[2] = "vehicles/common/semi_lights_s.dds";
    normalMap[2] = "vehicles/common/semi_lights_n.dds";
    diffuseMap[1] = "vehicles/common/semi_lights_d.dds";
    specularMap[1] = "vehicles/common/semi_lights_s.dds";
    normalMap[1] = "vehicles/common/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.2";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on_intense)
{
    mapTo = "semi_lights_on_intense";
    diffuseMap[2] = "vehicles/common/semi_lights_g.dds";
    specularMap[2] = "vehicles/common/semi_lights_s.dds";
    normalMap[2] = "vehicles/common/semi_lights_n.dds";
    diffuseMap[1] = "vehicles/common/semi_lights_d.dds";
    specularMap[1] = "vehicles/common/semi_lights_s.dds";
    normalMap[1] = "vehicles/common/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.35";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_dmg)
{
    mapTo = "semi_lights_dmg";
    diffuseMap[1] = "vehicles/common/semi_lights_dmg_d.dds";
    specularMap[1] = "vehicles/common/semi_lights_dmg_s.dds";
    normalMap[1] = "vehicles/common/semi_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/semi_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(cargobox)
{
    mapTo = "cargobox";
    diffuseMap[1] = "vehicles/common/cargobox_d.dds";
    specularMap[1] = "vehicles/common/cargobox_s.dds";
    normalMap[1] = "vehicles/common/cargobox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/cargobox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights)
{
    mapTo = "van_lights";
    diffuseMap[1] = "vehicles/common/van_lights_d.dds";
    specularMap[1] = "vehicles/common/van_lights_s.dds";
    normalMap[1] = "vehicles/common/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/van_lights_n.dds";
    //diffuseMap[2] = "vehicles/common/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/common/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on)
{
    mapTo = "van_lights_on";
    diffuseMap[2] = "vehicles/common/van_lights_g.dds";
    specularMap[2] = "vehicles/common/van_lights_s.dds";
    normalMap[2] = "vehicles/common/van_lights_n.dds";
    diffuseMap[1] = "vehicles/common/van_lights_d.dds";
    specularMap[1] = "vehicles/common/van_lights_s.dds";
    normalMap[1] = "vehicles/common/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/common/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/common/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_on_intense)
{
    mapTo = "van_lights_on_intense";
    diffuseMap[2] = "vehicles/common/van_lights_g.dds";
    specularMap[2] = "vehicles/common/van_lights_s.dds";
    normalMap[2] = "vehicles/common/van_lights_n.dds";
    diffuseMap[1] = "vehicles/common/van_lights_d.dds";
    specularMap[1] = "vehicles/common/van_lights_s.dds";
    normalMap[1] = "vehicles/common/van_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/van_lights_n.dds";
    //diffuseMap[3] = "vehicles/common/van_lights_dirt.dds";
    //normalMap[3] = "vehicles/common/van_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.30";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_lights_dmg)
{
    mapTo = "van_lights_dmg";
    diffuseMap[1] = "vehicles/common/van_lights_dmg_d.dds";
    specularMap[1] = "vehicles/common/van_lights_dmg_s.dds";
    normalMap[1] = "vehicles/common/van_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/van_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/common/van_lights_dirt.dds";
    //normalMap[2] = "vehicles/common/van_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(suctionmount)
{
    mapTo = "suctionmount";
    diffuseMap[0] = "vehicles/common/suctionmount_d.dds";
    specularMap[0] = "vehicles/common/suctionmount_s.dds";
    normalMap[0] = "vehicles/common/suctionmount_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(invis)
{
    mapTo = "invis";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(signal_L)
{
    mapTo = "signal_L";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(signal_R)
{
    mapTo = "signal_R";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(parkingbrake)
{
    mapTo = "parkingbrake";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(tsfb_lights)
{
    mapTo = "tsfb_lights";
    diffuseMap[1] = "vehicles/common/tsfb_lights_d.dds";
    specularMap[1] = "vehicles/common/tsfb_lights_s.dds";
    normalMap[1] = "vehicles/common/tsfb_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tsfb_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tsfb_lights_on)
{
    mapTo = "tsfb_lights_on";
    diffuseMap[2] = "vehicles/common/tsfb_lights_g.dds";
    specularMap[2] = "vehicles/common/tsfb_lights_s.dds";
    normalMap[2] = "vehicles/common/tsfb_lights_n.dds";
    diffuseMap[1] = "vehicles/common/tsfb_lights_d.dds";
    specularMap[1] = "vehicles/common/tsfb_lights_s.dds";
    normalMap[1] = "vehicles/common/tsfb_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tsfb_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tsfb_lights_on_intense)
{
    mapTo = "tsfb_lights_on_intense";
    diffuseMap[2] = "vehicles/common/tsfb_lights_g.dds";
    specularMap[2] = "vehicles/common/tsfb_lights_s.dds";
    normalMap[2] = "vehicles/common/tsfb_lights_n.dds";
    diffuseMap[1] = "vehicles/common/tsfb_lights_d.dds";
    specularMap[1] = "vehicles/common/tsfb_lights_s.dds";
    normalMap[1] = "vehicles/common/tsfb_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tsfb_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tsfb_lights_dmg)
{
    mapTo = "tsfb_lights_dmg";
    diffuseMap[1] = "vehicles/common/tsfb_lights_dmg_d.dds";
    specularMap[1] = "vehicles/common/tsfb_lights_dmg_s.dds";
    normalMap[1] = "vehicles/common/tsfb_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/tsfb_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tsfb_reverselight)
{
    mapTo = "tsfb_reverselight";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(tsfb_taillight)
{
    mapTo = "tsfb_taillight";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(tsfb_signal_R)
{
    mapTo = "tsfb_signal_R";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(tsfb_signal_L)
{
    mapTo = "tsfb_signal_L";
    diffuseColor[0] = "0 0 0 0";
    castShadows = "0";
    translucent = "1";
};

singleton Material(semi_reverselight)
{
    mapTo = "semi_reverselight";
};

singleton Material(semi_signal_L)
{
    mapTo = "semi_signal_L";
};

singleton Material(semi_signal_R)
{
    mapTo = "semi_signal_R";
};

singleton Material(semi_lowbeam)
{
    mapTo = "semi_lowbeam";
};

singleton Material(semi_highbeam)
{
    mapTo = "semi_highbeam";
};

singleton Material(semi_taillight)
{
    mapTo = "semi_taillight";
};

singleton Material(semi_runninglight)
{
    mapTo = "semi_runninglight";
};

singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};

singleton Material(semi_mixbody)
{
    mapTo = "semi_mixbody";
    diffuseMap[2] = "vehicles/semi/semi_mixbody_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixbody_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixbody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mixdrum)
{
    mapTo = "semi_mixdrum";
    diffuseMap[2] = "vehicles/semi/semi_mixdrum_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixdrum_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixdrum_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_engine)
{
    mapTo = "semi_engine";
    diffuseMap[1] = "vehicles/semi/semi_engine_d.dds";
    specularMap[1] = "vehicles/semi/semi_engine_s.dds";
    normalMap[1] = "vehicles/semi/semi_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass)
{
    mapTo = "semi_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/semi/semi_glass_d.dds";
    opacityMap[0] = "vehicles/semi/semi_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_glass_da.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass_int)
{
    mapTo = "semi_glass_int";
    diffuseMap[0] = "vehicles/semi/semi_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass_dmg)
{
    mapTo = "semi_glass_dmg";
    diffuseMap[0] = "vehicles/semi/semi_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/semi/semi_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_reverselight)
{
    mapTo = "semi_reverselight";
};

singleton Material(semi_signal_L)
{
    mapTo = "semi_signal_L";
};

singleton Material(semi_signal_R)
{
    mapTo = "semi_signal_R";
};

singleton Material(semi_taillight)
{
    mapTo = "semi_taillight";
};

singleton Material(semi_runninglight)
{
    mapTo = "semi_runninglight";
};

singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};

singleton Material(dump)
{
    mapTo = "dump";
    diffuseMap[2] = "vehicles/semi/dump_c.dds";
    specularMap[2] = "vehicles/semi/dump_s.dds";
    normalMap[2] = "vehicles/semi/dump_n.dds";
    diffuseMap[1] = "vehicles/semi/dump_d.dds";
    specularMap[1] = "vehicles/semi/dump_s.dds";
    normalMap[1] = "vehicles/semi/dump_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/dump_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};